summaryrefslogtreecommitdiffstats
path: root/bin/oss-fuzz-build.sh
diff options
context:
space:
mode:
authorCaolán McNamara <caolanm@redhat.com>2017-03-09 11:09:50 +0000
committerCaolán McNamara <caolanm@redhat.com>2017-03-09 11:10:25 +0000
commit9e4f6531bf0ae8b375127a189e87c1ebc99508ac (patch)
tree3780c5222922a53585b7273b1d12ac1832858db9 /bin/oss-fuzz-build.sh
parentAdd missing CxxClrObject case (diff)
downloadcore-9e4f6531bf0ae8b375127a189e87c1ebc99508ac.tar.gz
core-9e4f6531bf0ae8b375127a189e87c1ebc99508ac.zip
report that we export certain vars to be set
Change-Id: I3a71542da943a689ab734507c811087caa427a1c
Diffstat (limited to 'bin/oss-fuzz-build.sh')
-rwxr-xr-xbin/oss-fuzz-build.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/bin/oss-fuzz-build.sh b/bin/oss-fuzz-build.sh
index c4084b5893f5..2c54e13e392b 100755
--- a/bin/oss-fuzz-build.sh
+++ b/bin/oss-fuzz-build.sh
@@ -1,4 +1,9 @@
-#!/bin/bash -eu
+#!/bin/bash -e
+
+if [ -z "${OUT}" ] || [ -z "${SRC}" ] || [ -z "${WORK}" ]; then
+ echo "OUT, SRC or WORK not set - script expects to be called inside oss-fuzz build env"
+ exit 1
+fi
#shuffle CXXFLAGS -stdlib=libc++ arg into CXX as well because we use
#the CXX as the linker and need to pass -stdlib=libc++ to build